View Issue Details

IDProjectCategoryView StatusLast Update
0002654SOGoActiveSyncpublic2014-04-09 14:50
Reporteroupsman Assigned Toludovic  
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Platform[Client] AppleOSiOSOS Version7
Product Version2.2.1 
Target Version2.2.4Fixed in Version2.2.4 
Summary0002654: Calendars are OK through CalDav but are buggy through ActiveSync
Description

I'm trying to setup the connection to Sogo through ActiveSync, as it require less step for the users of my solution.

But when I try to sync on two devices though ActiveSync, I have a strange behaviour on both :

on my iPhone 5S running iOS 7.1, all the appointements of the week are displayed every day of the week

on my iPad mini running iOS 7.1, the calendar does not show up at all !

On the attached screenshot, you will see the calender, as viewed in the web client view and the iOS view.

TagsNo tags attached.

Activities

oupsman

oupsman

2014-03-11 17:03

reporter  

calendar.jpg (444,477 bytes)
ludovic

ludovic

2014-03-11 17:08

administrator   ~0006690

Are these repetitive events?

oupsman

oupsman

2014-03-11 17:24

reporter   ~0006691

Last edited: 2014-03-11 17:25

View 2 revisions

Yes. In fact, I have the same view for everyweek or so. I'll try to add an one time event and see what will happen.

ludovic

ludovic

2014-03-11 17:25

administrator   ~0006692

Copy/paste the raw source of the events causing issues.

oupsman

oupsman

2014-03-11 17:26

reporter   ~0006693

How could I do that ?

ludovic

ludovic

2014-03-11 17:30

administrator   ~0006694

From the SOGo web interface, right-click on the event and chose "view raw source"

oupsman

oupsman

2014-03-11 17:31

reporter   ~0006695

BEGIN:VCALENDAR
PRODID:-//Apple Inc.//iOS 7.0.2//EN
VERSION:2.0
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:Europe/Paris
BEGIN:DAYLIGHT
DTSTART:19810329T020000
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU
TZNAME:UTC+2
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
DTSTART:19961027T030000
RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU
TZNAME:UTC+1
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CATEGORIES:Réunion
CLASS:PUBLIC
CREATED:20130909T073033Z
DTEND;TZID=Europe/Paris:20130910T223000
DTSTAMP:20131008T194533Z
DTSTART;TZID=Europe/Paris:20130910T203000
LAST-MODIFIED:20130909T073052Z
PRIORITY:1
RRULE:FREQ=WEEKLY
SEQUENCE:0
SUMMARY:PCCO
TRANSP:OPAQUE
UID:9E9-522D7900-19-68484F00
END:VEVENT
BEGIN:VEVENT
CREATED:20131008T194509Z
DTEND;TZID=Europe/Paris:20131112T223000
DTSTAMP:20131008T194533Z
DTSTART;TZID=Europe/Paris:20131112T203000
LAST-MODIFIED:20131008T194509Z
RECURRENCE-ID;TZID=Europe/Paris:20131112T203000
SEQUENCE:0
SUMMARY:PCCO présentation technique
TRANSP:OPAQUE
UID:9E9-522D7900-19-68484F00
END:VEVENT
END:VCALENDAR

BEGIN:VCALENDAR
PRODID:-//Apple Inc.//iOS 6.1.3//EN
VERSION:2.0
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:Europe/Berlin
BEGIN:DAYLIGHT
DTSTART:19810329T020000
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU
TZNAME:UTC+02:00
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
DTSTART:19961027T030000
RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU
TZNAME:UTC+01:00
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20130914T124943Z
DTEND;TZID=Europe/Berlin:20130918T171500
DTSTAMP:20130914T125301Z
DTSTART;TZID=Europe/Berlin:20130918T154500
LAST-MODIFIED:20130914T125258Z
RRULE:FREQ=WEEKLY;BYDAY=WE
SEQUENCE:0
SUMMARY:Aymeric solfège
TRANSP:OPAQUE
UID:03DE6AF0-D736-49C3-A65E-5267F5344881
BEGIN:VALARM
ACTION:DISPLAY
DESCRIPTION:Rappel
TRIGGER:-PT10M
UID:57529E1D-245B-417C-8A68-3C54B0F0C744
X-WR-ALARMUID:57529E1D-245B-417C-8A68-3C54B0F0C744
END:VALARM
END:VEVENT
END:VCALENDAR

BEGIN:VCALENDAR
PRODID:-//Apple Inc.//iOS 7.0.5//EN
VERSION:2.0
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:Europe/Berlin
BEGIN:DAYLIGHT
DTSTART:19810329T020000
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU
TZNAME:UTC+2
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
DTSTART:19961027T030000
RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU
TZNAME:UTC+1
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20130914T124907Z
DTEND;TZID=Europe/Berlin:20130918T173000
DTSTAMP:20140204T155003Z
DTSTART;TZID=Europe/Berlin:20130918T170000
LAST-MODIFIED:20140204T155001Z
RRULE:FREQ=WEEKLY;BYDAY=TU
SEQUENCE:0
SUMMARY:Robin\, Clarinette
TRANSP:OPAQUE
UID:FFB8355D-0504-4BA3-9778-C75B0F5C9E9D
BEGIN:VALARM
ACKNOWLEDGED:20140204T155001Z
ACTION:DISPLAY
DESCRIPTION:Rappel
TRIGGER:-PT10M
UID:863E5FC7-C6DD-4116-AEE9-864F38B91AD2
X-WR-ALARMUID:863E5FC7-C6DD-4116-AEE9-864F38B91AD2
END:VALARM
END:VEVENT
END:VCALENDAR

BEGIN:VCALENDAR
PRODID:-//Apple Inc.//iOS 7.0.4//EN
VERSION:2.0
CALSCALE:GREGORIAN
BEGIN:VTIMEZONE
TZID:Europe/Berlin
BEGIN:DAYLIGHT
DTSTART:19810329T020000
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU
TZNAME:UTC+2
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
END:DAYLIGHT
BEGIN:STANDARD
DTSTART:19961027T030000
RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU
TZNAME:UTC+1
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20130914T125153Z
DESCRIPTION:\n\n\n\n
DTEND;TZID=Europe/Berlin:20130913T230000
DTSTAMP:20140103T184521Z
DTSTART;TZID=Europe/Berlin:20130913T200000
LAST-MODIFIED:20140103T184518Z
RRULE:FREQ=WEEKLY;BYDAY=FR
SEQUENCE:0
SUMMARY:Tir à l'arc
TRANSP:OPAQUE
UID:5277312C-D322-4F0F-AE4F-8F9E1E527890
BEGIN:VALARM
ACKNOWLEDGED:20140103T184518Z
ACTION:DISPLAY
DESCRIPTION:Rappel
TRIGGER:-PT15M
UID:152D8ACD-68A4-4A4B-90AE-BE0F83CD34A3
X-WR-ALARMUID:152D8ACD-68A4-4A4B-90AE-BE0F83CD34A3
END:VALARM
END:VEVENT
END:VCALENDAR

oupsman

oupsman

2014-03-11 17:31

reporter   ~0006696

These events were created through CalDav, in case it help you.

ludovic

ludovic

2014-03-11 17:36

administrator   ~0006697

Thanks, I'll do some testing. Note that the PCCO has a recurrence exception, that is NOT supported right now. The "Tir a l'arc" event should display well nonetheless.

ludovic

ludovic

2014-04-09 14:50

administrator   ~0006864

https://github.com/inverse-inc/sogo/commit/96ece873caad0b735147637435545d0721b06368

Issue History

Date Modified Username Field Change
2014-03-11 17:03 oupsman New Issue
2014-03-11 17:03 oupsman File Added: calendar.jpg
2014-03-11 17:08 ludovic Note Added: 0006690
2014-03-11 17:24 oupsman Note Added: 0006691
2014-03-11 17:25 ludovic Note Added: 0006692
2014-03-11 17:25 oupsman Note Edited: 0006691 View Revisions
2014-03-11 17:26 oupsman Note Added: 0006693
2014-03-11 17:30 ludovic Note Added: 0006694
2014-03-11 17:31 oupsman Note Added: 0006695
2014-03-11 17:31 oupsman Note Added: 0006696
2014-03-11 17:36 ludovic Note Added: 0006697
2014-04-03 15:15 ludovic Target Version => 2.2.4
2014-04-09 14:50 ludovic Note Added: 0006864
2014-04-09 14:50 ludovic Status new => resolved
2014-04-09 14:50 ludovic Fixed in Version => 2.2.4
2014-04-09 14:50 ludovic Resolution open => fixed
2014-04-09 14:50 ludovic Assigned To => ludovic